using UnityEngine;

public class GlobalConfig : SingletonBehaviour<GlobalConfig>
{

    [SerializeField]
    private GlobalConfigFile _current;
    public GlobalConfigFile Current
    {
        get
        {
            if (!_current)
            {
                _current = ScriptableObject.CreateInstance<GlobalConfigFile>();
            }
            return _current;
        }
    }
}
